Bug 660188 - (CVE-2010-4263) CVE-2010-4263 kernel: igb panics when receiving tag vlan packet
CVE-2010-4263 kernel: igb panics when receiving tag vlan packet
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
public=20100319,reported=20101206,sou...
: Security
Depends On: 652804 660189 660190 660191 660192
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-05 20:58 EST by Eugene Teo (Security Response)
Modified: 2015-02-16 10:50 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 04:56:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-12-05 20:58:55 EST
If igb's SR-IOV and promiscuous mode are enabled and the interface receives a tag VLAN packet, this will result in a null pointer dereference. To fix this, we will backport upstream commit 31b24b95 to ensure that vlan_gro_receive is only used if vlans have been registered to the adapter structure.

[ This fixes bugzilla entry 15582 -Eric Dumazet]

It matters if CONFIG_PCI_IOV is enabled, e.g. grep -ir SRIOV drivers/net/igb/*.

Upstream commit:
http://git.kernel.org/linus/31b24b95

References:
https://bugzilla.kernel.org/show_bug.cgi?id=15582
Comment 4 Eugene Teo (Security Response) 2010-12-05 21:45:11 EST
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 4 and Red Hat Enterprise MRG as they did not include support for PCI I/O Virtualization (IOV). Future updates in Red Hat Enterprise Linux 5 and 6 may address this flaw.
Comment 5 Eugene Teo (Security Response) 2010-12-08 03:26:19 EST
Acknowledgements:

Red Hat would like to thank Kosuke Tatsukawa for reporting this issue.
Comment 6 errata-xmlrpc 2011-01-11 14:45:24 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0007 https://rhn.redhat.com/errata/RHSA-2011-0007.html
Comment 7 errata-xmlrpc 2011-01-13 17:03:04 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 8 errata-xmlrpc 2011-01-14 04:03:36 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.